import request from '@/utils/request'

// 查询MmGroup列表
export function listMmGroup(query) {
    return request({
        url: '/api/v1/mm-group',
        method: 'get',
        params: query
    })
}

// 查询MmGroup详细
export function getMmGroup (id) {
    return request({
        url: '/api/v1/mm-group/' + id,
        method: 'get'
    })
}


// 新增MmGroup
export function addMmGroup(data) {
    return request({
        url: '/api/v1/mm-group',
        method: 'post',
        data: data
    })
}

// 修改MmGroup
export function updateMmGroup(data) {
    return request({
        url: '/api/v1/mm-group/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除MmGroup
export function delMmGroup(data) {
    return request({
        url: '/api/v1/mm-group',
        method: 'delete',
        data: data
    })
}

// 查询MmGroup选项
export function getMmGroupOptions() {
    return request({
        url: '/api/v1/mm-group/options',
        method: 'get'
    })
}

